<?php

namespace AuthStack\OAuth2\Model\Protocol\Flow;

class AuthorizationCode implements FlowInterface
{
    // If response_type is === code, then flow is Authorization Code Flow
    const T_RESP_TYPE = ['code'];

    public function getFirstResponseType(): string
    {
        return $this->getResponseTypes()[0];
    }

    public function getResponseTypes(): array
    {
        return self::T_RESP_TYPE;
    }
}